-- =============================================
-- Author:		Awan
-- Create date: 2019-11-07 14:45:36.217
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[SP_ICS_IM_PERIOD]
AS
BEGIN
	DECLARE @OPENQUERY nVARCHAR(MAX)
	DECLARE @VALUES VARCHAR(6)
	DECLARE @LINK_SERVER VARCHAR(50) = 'IPPCS_TO_ICS'--(SELECT SYSTEM_VAL FROM TB_M_SYSTEM WHERE SYSTEM_CD='ICS_LINK_SERVER')
    
	IF  DATEPART(DAY, GETDATE()) IN (1,2,3,4,5,6,7,8,9,10)
		BEGIN
		SET @OPENQUERY = 'SELECT @x  = YEAR+MONTH FROM OPENQUERY('+@LINK_SERVER+',''SELECT IMP.YEAR,IMP.MONTH
																				  FROM  PRICU001.TB_M_SYSTEM SYS
																				  INNER JOIN PRICU001.TB_M_IM_PERIOD IMP ON IMP.PERIOD=SYS.NAME_VALUE   
																				  WHERE IMP.YEAR = '''''+CAST(YEAR(GETDATE()) AS VARCHAR(4))+'''''
																					   AND SYS.SYSTEM_CD=''''CURRENT_IM_PERIOD'''''')'
		EXEC sp_executesql @OPENQUERY , N'@x varchar(20) out', @VALUES out

		DELETE TB_M_SYSTEM WHERE FUNCTION_ID='004' AND SYSTEM_CD='OPEN_IM_PERIOD'
		--INSERT INTO TB_M_SYSTEM(FUNCTION_GROUP, SYSTEM_TYPE, SYSTEM_CD, SYSTEM_VAL, CREATED_BY, CREATED_DT) VALUES ('004','R_MATERIAL_RECEIVE','OPEN_IM_PERIOD',@VALUES,'system',GETDATE())
		INSERT INTO TB_M_SYSTEM(FUNCTION_ID, SYSTEM_CD, SYSTEM_VALUE, SYSTEM_REMARK, CREATED_BY, CREATED_DT) VALUES ('004','OPEN_IM_PERIOD',@VALUES,'ICS Open IM Perod','system',GETDATE())
	
	END
END

